<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <!-- Startvorlage -->
  <xsl:template match="/">
    <fo:root>
      <!-- Seitenvorlagen -->
      <fo:layout-master-set>
        <fo:simple-page-master master-name="alleine" page-height="5cm" page-width="5cm">
          <fo:region-body region-name="xsl-region-body" margin="0.7cm"/>
          <fo:region-after extent="0.5cm" region-name="xsl-region-after"/>
          <fo:region-before extent="0.5cm" region-name="xsl-region-before"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Seitenverlauf -->
      <fo:page-sequence master-reference="alleine">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="Gruss"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr Gruss -->
  <xsl:template match="Gruss">
    <fo:block>
      <xsl:value-of select="Text"/>
    </fo:block>
  </xsl:template>
</xsl:stylesheet>
