<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!--Linker Rand der druckbaren Flche -->
          <fo:region-start extent="3cm" region-name="xsl-region-start" background-color="lightblue"/>
          <!-- Unterer Rand der druckbaren Flche -->
          <fo:region-end extent="3cm" region-name="xsl-region-end" background-color="thistle"/>
          <!-- Rechter Rand der druckbaren Flche -->
          <fo:region-after extent="1cm" region-name="xsl-region-after" background-color="mediumorchid"/>
          <!-- Oberer Rand der druckbaren Flche -->
          <fo:region-before extent="0.5cm" region-name="xsl-region-before" background-color="lightseagreen"/>
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" margin-bottom="1.5cm" margin-left="3.5cm" margin-top="1.5cm" margin-right="3.5cm" background-color="wheat">
            <xsl:apply-templates/>
          </fo:region-body>
        </fo:simple-page-master>
        <!-- Seitenverlaufsvorlage -->
        <fo:page-sequence-master master-name="Kapitel">
          <fo:single-page-master-reference master-reference="A4"/>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="Kapitel">
        <fo:flow flow-name="xsl-region-body" background-color="thistle">
          <fo:block font-family="Times" font-size="72pt">
           Textausgabe
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
</xsl:stylesheet>
