SET LONG 200000;
SELECT XMLElement("Unternehmen",
        XMLElement("Name",
         XMLForest(g_name AS "Name",
                   g_stadt AS "Stadt")),
         XMLElement("Umsatz",
          XMLForest(TO_CHAR(ROUND(SUM(a_preis)/100,2), '999G999D99') AS "Summe",
                    TO_CHAR(ROUND(SUM(a_dauer)/3600,2),'999G999D99')  AS "Dauer"),
         XMLElement("Zeit",
          XMLForest(EXTRACT(MONTH FROM a_beginn) AS "Monat",
                    EXTRACT(YEAR FROM a_beginn) AS "Jahr")))) AS XML
  FROM scott_anruf INNER JOIN scott_gkunde
    ON scott_anruf.a_von = scott_gkunde.g_nr
 WHERE g_Nr IN (15, 27, 115, 211)
 GROUP BY g_Name,
          g_stadt,
          EXTRACT(MONTH FROM a_beginn),
          EXTRACT(YEAR FROM a_beginn)
 ORDER BY  g_Name,
           EXTRACT(YEAR FROM a_beginn),
           EXTRACT(MONTH FROM a_beginn);