<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/article">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="beige"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="//simplelist[@id=1]"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr simplelist -->
  <xsl:template match="simplelist[@id=1]">
    <fo:block-container absolute-position="absolute" top="5cm" left="3.5cm">
      <fo:list-block provisional-distance-between-starts="7mm" provisional-label-separation="7mm" start-indent="2mm">
        <xsl:for-each select="member">
          <fo:list-item>
            <fo:list-item-label end-indent="label-end()">
              <fo:block>-</fo:block>
            </fo:list-item-label>
            <fo:list-item-body start-indent="body-start()">
              <fo:block>
                <xsl:value-of select="."/>
              </fo:block>
            </fo:list-item-body>
          </fo:list-item>
        </xsl:for-each>
      </fo:list-block>
    </fo:block-container>
  </xsl:template>
</xsl:stylesheet>
