<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output encoding="ISO-8859-1" method="xml"/>
  <xsl:template match="/article">
    <fo:root>
      <fo:layout-master-set>
        <!-- Blattangaben -->
        <fo:simple-page-master master-name="A4" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="2cm" margin-left="2.5cm" margin-right="2.5cm">
          <!-- Druckbare Flche -->
          <fo:region-body region-name="xsl-region-body" background-color="beige"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- Konkreter Seitenverlauf -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
          <xsl:apply-templates select="//table[@id=1]"/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>
  <!-- Vorlage fr table -->
  <xsl:template match="table[@id=1]">
  <xsl:for-each select="tgroup/tbody/row">
    <fo:block linefeed-treatment="ignore">
      <xsl:value-of select="entry[1]"/>
      <xsl:text> | PK: </xsl:text>
      <xsl:value-of select="entry[2]"/>
        <xsl:text> | GK: </xsl:text>
      <xsl:value-of select="entry[3]"/>
    </fo:block></xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
