
package javaapplication1;

import java.io.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import org.xml.sax.*;
import org.apache.fop.apps.Driver;

public class Main {
    
  

    public static void main(String[] args) {
        
        String XMLinput = args[0]; // XML
        String XLSTInput = args[1]; // XSLT
        String FoOutput = args[2]; // FO-Ausgabe
        String PDFOutput=args[3]; // PDF-Ausgabe
        // Umwandlung von XML nach FO
        File XmlInput = new File(XMLinput); 
        StreamSource xmlSource = new StreamSource(XmlInput); 

        File XSLTTransform = new File(XLSTInput); 
        StreamSource xsltSource = new StreamSource(XSLTTransform); 

        TransformerFactory transFact = TransformerFactory.newInstance(); 
        try
        {
        Transformer trans = transFact.newTransformer(xsltSource); 
        StreamResult streamResult =new StreamResult(new FileOutputStream(FoOutput));
        trans.transform(xmlSource, streamResult); 
        
        // Umwandlung von FO nach PDF
        File FoInputStream=new File(FoOutput);
        StreamSource FoResult=new StreamSource(FoInputStream);
        

        StreamResult pdfStreamOutput=new StreamResult(new FileOutputStream(PDFOutput));
        
        Driver FoDriver= new Driver(new InputSource(FoOutput),new FileOutputStream(PDFOutput));
        FoDriver.run();

        }
        catch(Exception e)
        {
        }

    }
    
}
