select * from scott_pkunde
 where p_beginn = (select min(p_beginn) from scott_pkunde);
select * from scott_gkunde
 where g_beginn = (select min(g_beginn) from scott_gkunde);

select distinct
(select count(*) from scott_pkunde where p_stadt IN ('Dsseldorf', 'D?sseldorf'))
+ (select count(*) from scott_gkunde where g_stadt IN ('Dsseldorf', 'D?sseldorf')) as zahl
from scott_pkunde;

select pkunde.p_stadt AS Stadt,
       (select count(scott_pkunde.p_nr)
          from scott_pkunde
         where pkunde.p_stadt = scott_pkunde.p_stadt)  AS P,
       (select count(scott_gkunde.g_nr)
          from scott_gkunde
         where pkunde.p_stadt = scott_gkunde.g_stadt) AS G
  from scott_pkunde pkunde left outer join scott_gkunde gkunde
    on pkunde.p_stadt  = gkunde.g_stadt 
  group by pkunde.p_stadt;
  
select extract(year from scott_anruf.a_beginn) AS Jahr,
       sum(scott_anruf.a_preis)/100 As Preis
 from scott_anruf
 group by extract(year from scott_anruf.a_beginn);
  
